Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1883196 - kube-apiserver: silence own loopback requests before /readyz success
Summary: kube-apiserver: silence own loopback requests before /readyz success
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-28 11:54 UTC by Stefan Schimanski
Modified: 2020-10-27 16:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:45:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 376 0 None closed Bug 1883196: kube-apiserver: silence own loopback requests before /readyz success 2020-12-31 09:01:52 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:46:07 UTC

Description Stefan Schimanski 2020-09-28 11:54:20 UTC
We see these for request from kube-apiserver to itself before it is ready. They are confusing for the user and noise in debugging:

  Loopback request to %q (user agent %q) before server is ready. This client probably does not watch /readyz and might get inconsistent answers.

Comment 2 Ke Wang 2020-09-30 11:05:15 UTC
Without fix build,
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2020-09-28-212756   True        False         27h     Cluster version is 4.6.0-0.nightly-2020-09-28-212756

$ oc logs -n openshift-kube-apiserver kube-apiserver-ip-10-0-145-89.us-east-2.compute.internal -c kube-apiserver | grep 'user agent "kube-apiserver' | wc -l
205

Verified with loaded fix build,
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2020-09-29-170625   True        False         3h48m   Cluster version is 4.6.0-0.nightly-2020-09-29-170625

$ oc logs -n openshift-kube-apiserver kube-apiserver-ip-10-0-157-18.us-east-2.compute.internal -c kube-apiserver | grep 'user agent "kube-apiserver' | wc -l
0

We can see there is no Loopback request from user agent "kube-apiserver" logged as expected, so move the bug verified.

Comment 5 errata-xmlrpc 2020-10-27 16:45:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.